=== debian/control ===
Source: starfetch
Section: utils
Priority: optional
Maintainer: Jacob Mealey <jacobmealey.maine@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.7.2
Homepage: https://github.com/Haruno19/starfetch
Vcs-Browser: https://salsa.debian.org/jacobmealey/starfetch
Vcs-Git: https://salsa.debian.org/jacobmealey/starfetch.git

Package: starfetch
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: command line tool written in C++ that displays constellations
 starfetch is a tool that prints out a scheme of a given constellation and some
 information about it: its quadrant, its right ascension, its declination, its
 area and its main stars number.
