=== debian/watch ===
version=4

# GitHub hosted projects.
https://github.com/Haruno19/starfetch/tags .*/v?(\d.*)@ARCHIVE_EXT@
