## starfetch 0.0.4%2Bds

=== debian/rules ===
#!/usr/bin/make -f

# Simple enough, let dh handle building.
%:
	dh $@
