## starfetch 0.0.4+ds

=== debian/changelog ===
starfetch (0.0.4+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1123851)

 -- Jacob Mealey <jacobmealey.maine@gmail.com>  Wed, 24 Dec 2025 14:02:13 -0500
