=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Jacob Mealey <jacobmealey.maine@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.7.2
+ nlohmann-json3-dev
+Standards-Version: 4.7.3
 Homepage: https://github.com/Haruno19/starfetch
 Vcs-Browser: https://salsa.debian.org/jacobmealey/starfetch
 Vcs-Git: https://salsa.debian.org/jacobmealey/starfetch.git
