=== debian/watch ===
version=4
opts=\
"repacksuffix=+ds, \
repack,compression=xz, \
dversionmangle=s/\+(ds)(\.\d+)?$//" \
 https://github.com/Haruno19/starfetch/tags .*/v?(\d[\d.]*)@ARCHIVE_EXT@
